std::tr1::weak_ptr(3)

NAME
std::tr1::weak_ptr -

SYNOPSIS

Detailed Description

  template<typename _Tp> class std::tr1::weak_ptr< _Tp >

Definition at line 778 of file boost_shared_ptr.h.

  Public Types
typedef _Tp element_type

  Public Member Functions
bool expired () const
shared_ptr< _Tp > lock () const
template<typename _Tp1> weak_ptr & operator= (const shared_ptr< _Tp1 > &r)
template<typename _Tp1> weak_ptr & operator= (const weak_ptr< _Tp1 > &r)
void reset ()
void swap (weak_ptr &__s)
long use_count () const
template<typename _Tp1> weak_ptr (const shared_ptr< _Tp1 > &r)
template<typename _Tp1> weak_ptr (const weak_ptr< _Tp1 > &r)
weak_ptr ()

  Friends
class enable_shared_from_this< _Tp >
template<typename _Tp1> bool operator< (const weak_ptr &__lhs, const weak_ptr< _Tp1 > &__rhs)
class shared_ptr
class weak_ptr

Author

Generated automatically by Doxygen for libstdc++ from the source code.